<?php

namespace App\Models\Account;

use App\Models\Master\Branch;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Voucher extends Model
{
    use HasFactory;


    public function branch()
    {
        return $this->belongsTo(Branch::class);
    }

    public function created_by()
    {
        return $this->belongsTo(User::class,'created_by');
    }

    public function voucher_acc_details()
    {
        return $this->hasMany(VoucherAccDetails::class,'voucher_id');
    }

    public function voucher_descs()
    {
        return $this->hasMany(VoucherDesc::class, 'voucher_id');
    }
}
