<?php

namespace App\Models\FleetOwner;

use App\Models\Account\Account;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DieselAllotment extends Model
{
    use HasFactory;

    public function pump()
    {
        return $this->belongsTo(Account::class, 'pump_id');
    }

    public function loading_slip()
    {
        return $this->belongsTo(LoadingSlip::class, 'ls_id');
    }
}
