<?php

namespace App\Models\GoodsMove;

use App\Models\Master\Branch;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Unloading extends Model
{
    use HasFactory;

    public function unloading_desc()
    {
        return $this->hasMany(UnloadingDesc::class,'unloading_id');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function arrival_from()
    {
        return $this->belongsTo(Branch::class, 'arrival_from');
    }
}
