<?php

namespace App\Models\Items;

use App\Models\Leads\LeadDesc;
use App\Models\Leads\QuotationDesc;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Item extends Model
{
    use HasFactory;

    public function category()
    {
        return $this->belongsTo(Category::class);
    }

    public function lead_desc()
    {
        return $this->hasMany(LeadDesc::class);
    }

    public function quotation_desc()
    {
        return $this->hasMany(QuotationDesc::class);
    }
}
