<?php

namespace App\Models\Master;

use App\Models\Account\VoucherDesc;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PartyOpeningDetails extends Model
{
    use HasFactory;
   
    // PARTY OPENING DETAILS BELONGS TO A PARTY (ONE TO MANY)
    public function party()
    {
        return $this->belongsTo(Party::class);
    }

    public function voucher_desc()
    {
        return $this->hasMany(VoucherDesc::class,'against_number','against_number');
    }
}
