<?php

namespace App\Models\Account;

use App\Models\Account\Account;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Group extends Model
{
    use HasFactory;
    

    // Group can have multiple sub groups
    public function under_grp()
    {
        return $this->belongsTo(Group::class,'under_grp_id');
    }


    // Group can have multiple accounts
    public function accounts()
    {
        return $this->hasMany(Account::class);
    }

}
