<?php

namespace App\Models\FleetOwner;

use App\Models\Booking\BookGr;
use App\Models\GoodsMove\Challan;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LorryHireDesc extends Model
{
    use HasFactory;

    public function lorry_hire()
    {
        return $this->belongsTo(LorryHire::class, 'lorry_hire_id');
    }

    public function book_gr()
    {
        return $this->belongsTo(BookGr::class, 'against_id');
    }

    public function loading_slip()
    {
        return $this->belongsTo(LoadingSlip::class, 'against_id');
    }

    public function challan()
    {
        return $this->belongsTo(Challan::class, 'against_id');
    }
}
