<?php

namespace App\Models\Pod;

use App\Models\Booking\BookGr;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PodDesc extends Model
{
    use HasFactory;

    public function pod()
    {
        return $this->belongsTo(Pod::class, 'pod_id');
    }

    public function bookGr()
    {
        return $this->belongsTo(BookGr::class, 'gr_id');
    }
}
