<?php

use App\Http\Controllers\Prints\PrintController;
use App\Models\Leads\Quotation;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/gr_print', [PrintController::class, 'open_gr_print']);
Route::get('/bill_print', [PrintController::class, 'open_bill_print']);
Route::get('/ls_bill_print', [PrintController::class, 'open_ls_bill_print']);
